#!/bin/sh

if [ -n "$(git config --global --get user.email moritz@informationarchitects.jp)" ]; then
    if [ $# -ne 2 ]; then
        echo usage: $0 plist-file settings-root-plist-file
        exit 1
    fi
    
    plist="$1"
	settingsplist="$2"
    dir=$(dirname "$plist" | sed -E 's#/[^/]*$##g')
    
   # Only increment the build number if source files have changed
   if [ -n "$(find "$dir" ! -path '*xcuserdata*' ! -path '*.git*' ! -path '*.DS_Store' -newer "$settingsplist")" ]; then
        buildnum=$(/usr/libexec/Plistbuddy -c "Print CFBundleVersion" "$plist")
		buildversion=$(/usr/libexec/Plistbuddy -c "Print CFBundleShortVersionString" "$plist")
        if [ -z "$buildnum" ]; then
            echo "No build number in $plist"
            exit 2
        fi
        buildnum=$(($buildnum))
        buildnum=$(($buildnum + 1))
        buildnum=$(printf "%04d" $buildnum)
        /usr/libexec/Plistbuddy -c "Set CFBundleVersion $buildnum" "$plist"
		/usr/libexec/Plistbuddy -c "Set PreferenceSpecifiers:3:DefaultValue $buildversion ($buildnum)" "$settingsplist"
        echo "Incremented build number to $buildnum"
    else
        echo "Not incrementing build number as source files have not changed"
    fi
fi